summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2008-11-26 20:21:28 +0000
committerZac Medico <zmedico@gentoo.org>2008-11-26 20:21:28 +0000
commit8daf295ac665d59e11dba365195ce3aa4256d7a5 (patch)
tree2c9e9c4d6a92fa789ff9ee4b1cccff9e713139c9
parentMake Scheduler.merge() bail out early if PORTAGE_TMPDIR is not properly set. (diff)
downloadportage-multirepo-8daf295ac665d59e11dba365195ce3aa4256d7a5.tar.gz
portage-multirepo-8daf295ac665d59e11dba365195ce3aa4256d7a5.tar.bz2
portage-multirepo-8daf295ac665d59e11dba365195ce3aa4256d7a5.zip
Bug #205044 - When creating $EBUILD_EXIT_STATUS_FILE, don't direct output to /dev/null
since it should never fail and if it does then the error message might be useful. (trunk r12105) svn path=/main/branches/2.1.6/; revision=12106
-rwxr-xr-xbin/ebuild.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index f01fdb16..72f1f5ac 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -275,9 +275,13 @@ register_die_hook() {
# Ensure that $PWD is sane whenever possible, to protect against
# exploitation of insecure search path for python -c in ebuilds.
# See bug #239560.
-if ! hasq "$EBUILD_PHASE" clean depend help ; then
+if ! hasq "$EBUILD_PHASE" clean cleanrm depend help ; then
cd "$PORTAGE_BUILDDIR" || \
die "PORTAGE_BUILDDIR does not exist: '$PORTAGE_BUILDDIR'"
+else
+ # Don't try to create this when it's parent
+ # directory doesn't necessarily exist.
+ unset EBUILD_EXIT_STATUS_FILE
fi
#if no perms are specified, dirs/files will have decent defaults
@@ -2072,8 +2076,10 @@ ebuild_main() {
exit 1
;;
esac
- [ -n "${EBUILD_EXIT_STATUS_FILE}" ] && \
- touch "${EBUILD_EXIT_STATUS_FILE}" &>/dev/null
+ if [ -n "$EBUILD_EXIT_STATUS_FILE" ] ; then
+ > "$EBUILD_EXIT_STATUS_FILE" || \
+ die "failed to create '$EBUILD_EXIT_STATUS_FILE'"
+ fi
}
[[ -n $EBUILD_SH_ARGS ]] && ebuild_main